Name: libxslt
Version: 1.0.23
Release: alt1

%define xmlver 1:2.4.27

%def_disable static

Summary: Library providing XSLT support
Group: System/Libraries
License: MIT
Url: http://xmlsoft.org/
Packager: XML Development Team <xml@packages.altlinux.org>

%define pythonlibdir %(%__python -c "from distutils import sysconfig; print sysconfig.get_python_lib()")

Source: ftp://xmlsoft.org/XSLT/%name-%version.tar.bz2
Patch1: %name-1.0.20-alt-cflags.patch
Patch2: %name-1.0.21-alt-makefile.patch

Requires: libxml2 >= %xmlver

Prefix: %prefix

BuildPreReq: libxml2-devel >= %xmlver

# Automatically added by buildreq on Thu Nov 21 2002
BuildRequires: glibc-devel-static libbfd-devel libxml2-devel libxml2-python libxslt python-devel zlib-devel

%package -n xsltproc
Summary: XSLT processor using libxslt
Group: System/Libraries
Requires: %name = %version-%release

%package devel
Summary: Development environment for XSLT
Group: Development/C
Requires: %name = %version-%release, libxml2-devel >= %xmlver

%package devel-static
Summary: Static library for XSLT
Group: Development/C
Requires: %name-devel = %version-%release

%package python
Summary: Python bindings for the %name library
Group: Development/Python
Requires: %name = %version-%release
Requires: python = %__python_version

%description
XSLT library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

This package provides shared library required for run XSLT-based software.

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library. 
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%description devel
XSLT library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

This package provides include files required for software development
with XSLT.

%description devel-static
XSLT library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

This package provides static library required for development of
statically linked programs with XSLT.

%description python
This package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the %name-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build

# needed by patch2
%__aclocal
%__automake -a

# needed by patch1
%__autoconf

%configure \
	--with-html-dir=%_docdir \
	%{subst_enable static} \
	#

perl -pi -e 's,-I/usr/include($|\s),,' %name.pc

# SMP-incompatible.
%make
%{?!_without_check:%{?!_disable_check:%make check}}

%install
%define docdir %_docdir/%name-%version
%makeinstall \
	PYTHON_SITE_PACKAGES=$RPM_BUILD_ROOT%pythonlibdir \
	BASE_DIR=$RPM_BUILD_ROOT%_docdir \
	TARGET_DIR=$RPM_BUILD_ROOT%docdir/html \
	#
%__bzip2 -9kf ChangeLog ||:
%__mkdir_p $RPM_BUILD_ROOT%docdir/python
%__install -p -m644 AUTHORS ChangeLog* COPYING FEATURES NEWS README TODO \
	$RPM_BUILD_ROOT%docdir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %docdir
%docdir/[A-Z]*

%files -n xsltproc
%_bindir/xsltproc
%_man1dir/xsltproc.1*

%files devel
%_bindir/*-config
%_libdir/*.so
%_libdir/*.la
%_libdir/*.sh
%_includedir/*
%_libdir/pkgconfig/*
%_man4dir/*
%dir %docdir
%docdir/html

%if_enabled static
%files devel-static
%_libdir/*.a
%endif # enabled static

%files python
%pythonlibdir/*
%dir %docdir
%docdir/python

%changelog
* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.23-alt1
- 1.0.23

* Sun Nov 03 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.22-alt1
- 1.0.22

* Wed Oct 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.21-alt2
- rebuild with libxml2 2.4.24

* Mon Oct 07 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.21-alt1
- 1.0.21
- Fixed doc installation.

* Thu Sep 26 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.20-alt2
- Fixed pkgconfig file to exclude -I/usr/include
- Fixed xsltConf.sh to include libxml cflags
- Disabled static build by default

* Thu Sep 12 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.20-alt1
- 1.0.20
- patches are gone

* Tue Aug 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.19-alt2
- Fix for docbook users

* Thu Jul 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.19-alt1
- 1.0.19
- Fixed installation of HTML docs

* Wed Jun 12 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.18-alt1
- 1.0.18

* Sat May 04 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.17-alt1
- 1.0.17
- Separated xsltproc from the lib
- libxslt-devel-static shall NOT require libxml-devel-static
- Repackaged docs again: .py files should not be compiled,
  ugly renaming also not good
- make check

* Sat Apr 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.16-alt1
- 1.0.16

* Tue Mar 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.14-alt1
- 1.0.14

* Tue Feb 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.12-alt1
- 1.0.12

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.11-alt1
- 1.0.11
- Added python subpackage.

* Wed Jan 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.10-alt1
- 1.0.10

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.8-alt1
- 1.0.8

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.7-alt1
- 1.0.7

* Mon Nov 05 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.6-alt1
- 1.0.6

* Fri Oct 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Thu Sep 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Jul 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Wed Jul 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Jul 05 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.13.0-alt1
- 0.13.0

* Mon Jun 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Tue May 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.0-alt1
- 0.10.0
- Moved static library to devel-static subpackage.

* Sat May 05 2001 Rider <rider@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Mon Jan 22 2001 Daniel.Veillard <Daniel.Veillard@imag.fr>
- created based on libxml2 spec file
